{
	"easycom": {
		// 下载安装方式
		"^u-(.*)": "@/uview-ui/components/u-$1/u-$1.vue"
	},
	"pages": [{
			"path": "pages/auth/codeLogin",
			"style": {
				"navigationBarTitleText": "手机号注册/登录",
				"navigationBarBackgroundColor": "#1890ff"
			}
		},{
			"path": "pages/auth/passwordLogin",
			"style": {
				"navigationBarTitleText": "密码登录",
				"navigationBarBackgroundColor": "#1890ff"
			}
		},
		{
			"path": "pages/tabBar/new",
			"style": {
				"navigationBarTitleText": "消息"
				// "navigationStyle": "custom"
			}
		},
		{
			"path": "pages/tabBar/product",
			"style": {
				"navigationBarTitleText": "商品"
				// "navigationStyle": "custom"
			}
		},
		{
			"path": "pages/tabBar/order",
			"style": {
				"navigationBarTitleText": "订单"
				// "navigationStyle": "custom"
			}
		},
		{
			"path": "pages/tabBar/my",
			"style": {
				"navigationBarTitleText": "我的"
				// "navigationStyle": "custom",
			}
		}

	],
	"subPackages": [
		{
			"root": "pages/my/",
			"pages": [{
					"path": "passwordModify",
					"style": {
						"navigationBarTitleText": "修改密码"
					}
				}
			]
		},
		{
			"root": "pages/new/",
			"pages": [{
				"path": "detail",
				"style": {
					"navigationBarTitleText": "消息详情",
					"navigationBarBackgroundColor": "#fff"
				}
			}]
		},
		{
			"root": "pages/order/",
			"pages": [{
				"path": "detail",
				"style": {
					"navigationBarTitleText": "订单详情",
					"navigationBarBackgroundColor": "#fff"
				}
			}]
		},
		{
			"root": "pages/fun/",
			"pages": [{
				"path": "materialEdit",
				"style": {
					"navigationBarTitleText": "素材上传",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "videoView",
				"style": {
					"navigationBarTitleText": "视频预览",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "AiDrama",
				"style": {
					"navigationBarTitleText": "AI 剧本助手",
					"navigationBarBackgroundColor": "#fff"
				}
			}]
		},
		{
			"root": "pages/product/",
			"pages": [{
				"path": "detail",
				"style": {
					"navigationBarTitleText": "商品详情",
					"navigationBarBackgroundColor": "#fff"
				}
			}]
		}
	],
	"tabBar": {
		"color": "#999",
		"selectedColor": "#0066cc",
		"backgroundColor": "#FFFFFF",
		"list": [{
			"pagePath": "pages/tabBar/new",
			"text": "消息",
			"iconPath": "static/images/toolbar/new.png",
			"selectedIconPath": "static/images/toolbar/new-active.png"
		},
		// {
		// 	"pagePath": "pages/tabBar/product",
		// 	"text": "商品",
		// 	"iconPath": "static/images/toolbar/product.png",
		// 	"selectedIconPath": "static/images/toolbar/product-active.png"
		// }, 
		{
			"pagePath": "pages/tabBar/order",
			"text": "订单",
			"iconPath": "static/images/toolbar/order.png",
			"selectedIconPath": "static/images/toolbar/order-active.png"
		}, {
			"pagePath": "pages/tabBar/my",
			"text": "我的",
			"iconPath": "static/images/toolbar/my.png",
			"selectedIconPath": "static/images/toolbar/my-active.png"
		}]
	},
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#f5f5f5",
		// "navigationBarBackgroundColor": "#11BF96",
		"backgroundColor": "#F0F0F0"
	},
	"condition": { //模式配置，仅开发期间生效
		"current": 0, //当前激活的模式(list 的索引项)
		"list": [{
				"path": "pages/auth/passwordLogin",
				"name": "默认页面" //模式名称
			},
			{
				"path": "pages/auth/codeLogin",
				"name": "验证码登录" //模式名称
			},
			{
				"path": "pages/fun/videoView",
				"name": "预览" //模式名称
			},
			{
				"path": "pages/tabBar/product",
				"name": "商品" //模式名称
			},
			{
				"path": "pages/product/detail",
				"name": "商品详情", //模式名称
				"query": "id=1888110308906405890"
			},
			{
				"path": "pages/tabBar/order",
				"name": "订单" //模式名称
			},
			{
				"path": "pages/auth/passwordLogin",
				"name": "密码登录", //模式名称
				"query": "mode=1&user=17859911022&pwd=888888"
			},
			{
				"path": "pages/tabBar/my",
				"name": "我的" //模式名称
			}
		]
	}
}